Subject: [dhcwg] RFC 3315 Bis Update (& New Version Notification for draft-dhcwg-dhc-rfc3315bis-03.txt)

From: "Bernie Volz (volz)" <[email-masked]>
Date: Mon, 27 Oct 2014 14:44:30 +0000

For those interested in this work, here's a brief update:

1. There will be a DHCPv6bis team meeting at IETF-91. It will be:

Tuesday, 11/11 from 0900-1130 (HST, UTC - 10h) in South Pacific 2.

This is a working session to review open issues, assign work, and discuss outstanding work items to move them forward. This meeting is open to anyone, but is preliminary for the DHCPv6bis team to meet face-to-face. (An agenda should be available shortly.)

We will update the DHC WG on the status at the DHC WG session (late Thursday afternoon).

2. We have published an updated RFC-3315bis document (see announcement below). This include some additional changes but is not yet "complete" (see http://trac.tools.ietf.org/group/dhcpv6bis/report/3 for the open tickets).

Appendix A in the document tracks most of the changes, and the new entries since the 02 version are:

   30.  Clarified that encapsulated options must be requested using top	 		
        level ORO (ticket #38).	 		
 		
   31.  Clarified that configuration for interface X should be requested	 		
        over interface X (ticket #48).	 		
 		
   32.  CONFIRM is now an optional message (MUST send Confirm eased to	 		
        SHOULD) (ticket #120).	 		
 		
   33.  Added reference to RFC7227: DHCPv6 Option Guidelines (ticket	 		
        #121).	 		
 		
   34.  Added new section 5 providing an overview of DHCPv6 operational	 		
        modes and removed two prefix delegation sections from section 1.	 		
        See tickets #53, #100, and #102.	 		
 		
   35.  Addressed ticket #115 - don't use DHCPv6 for DHCPv4	 		
        configuration.

This version also includes a few unfinished items. Progress has been a bit slower than hoped in the past several months.

- Bernie

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Monday, October 27, 2014 10:02 AM
Subject: New Version Notification for draft-dhcwg-dhc-rfc3315bis-03.txt

A new version of I-D, draft-dhcwg-dhc-rfc3315bis-03.txt
has been successfully submitted by Bernie Volz and posted to the
IETF repository.

Name:		draft-dhcwg-dhc-rfc3315bis
Revision:	03
Title:		Dynamic Host Configuration Protocol for IPv6 (DHCPv6) bis
Document date:	2014-10-27
Group:		Individual Submission
Pages:		123
URL:            http://www.ietf.org/internet-drafts/draft-dhcwg-dhc-rfc3315bis-03.txt
Status:         https://datatracker.ietf.org/doc/draft-dhcwg-dhc-rfc3315bis/
Htmlized:       http://tools.ietf.org/html/draft-dhcwg-dhc-rfc3315bis-03
Diff:           http://www.ietf.org/rfcdiff?url2=draft-dhcwg-dhc-rfc3315bis-03

Abstract:
   The Dynamic Host Configuration Protocol for IPv6 (DHCP) enables DHCP
   servers to pass configuration parameters such as IPv6 network
   addresses to IPv6 nodes.  It offers the capability of automatic
   allocation of reusable network addresses and additional configuration
   flexibility.  This protocol is a stateful counterpart to "IPv6
   Stateless Address Autoconfiguration" (RFC 4862), and can be used
   separately or concurrently with the latter to obtain configuration
   parameters.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat